{"openapi":"3.0.4","info":{"title":"List PolicyCollections","description":"Gets all PolicyCollections in a scope. For pagination support, use PagePolicyCollections","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/access"}],"paths":{"/api/policycollections":{"get":{"tags":["Policies"],"summary":"List PolicyCollections","description":"Gets all PolicyCollections in a scope. For pagination support, use PagePolicyCollections","operationId":"ListPolicyCollections","parameters":[{"name":"scope","in":"query","description":"Optional. Will use the default scope if not provided. The requested scope","schema":{"pattern":"^(?=.*[a-zA-Z])[\\w][\\w +-]{2,100}$","type":"string"}}],"responses":{"200":{"description":"Requested list of PolicyCollections","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"/docs/api/access/schemas.json#/components/schemas/PolicyCollectionResponse"}},"example":[{"id":{"scope":"default","code":"organisation-wide-policies"},"policies":[{"scope":"default","code":"official-portfolios-read-only"},{"scope":"default","code":"desk-portfolios"}],"policyCollections":[{"scope":"default","code":"CompanyEmployeeAccess"}],"description":"Collection of organisation wide policies"}]},"text/plain":{"schema":{"type":"array","items":{"$ref":"/docs/api/access/schemas.json#/components/schemas/PolicyCollectionResponse"}},"example":[{"id":{"scope":"default","code":"organisation-wide-policies"},"policies":[{"scope":"default","code":"official-portfolios-read-only"},{"scope":"default","code":"desk-portfolios"}],"policyCollections":[{"scope":"default","code":"CompanyEmployeeAccess"}],"description":"Collection of organisation wide policies"}]},"text/json":{"schema":{"type":"array","items":{"$ref":"/docs/api/access/schemas.json#/components/schemas/PolicyCollectionResponse"}},"example":[{"id":{"scope":"default","code":"organisation-wide-policies"},"policies":[{"scope":"default","code":"official-portfolios-read-only"},{"scope":"default","code":"desk-portfolios"}],"policyCollections":[{"scope":"default","code":"CompanyEmployeeAccess"}],"description":"Collection of organisation wide policies"}]}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/access/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/access/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/access/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/access/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}